FireRight AutoMatePC Kiln Control - Cover Page

PC-Based Heat Controller for Kilns

Demo Version

Thank you for installing this demonstration version of the AutoMatePC™ software. This special version is fully functional, except that the output has been disabled. Use this version for evaluation and learning purposes without conflicts with other serial port hardware.

NOTE: The COM port setting function has not been disabled. Select a suitable port if possible. If you are unable to designate a serial port acceptable to the system and do not wish to configure your computer to make such a port available, you may simply ignore the warnings occuring at start up.

« TOC Next »

Copyright © 2001 FireRight All Rights Reserved.
FireRight™ ~ FireRight Controls/Warner Instruments


AutoMatePC - Purpose

Purpose

The AutoMatePC™ is a simple control system that is used to regulate the heat-up rate of electric ceramic kilns.

Firing ceramics is a heat-treating process, wherein most of the "work" occurs at high temperatures. The process is a very simple one, which involves subjecting ceramic items to extreme heat for a specified period of time. In the simplest analysis, the process changes the original material (clay or formulations of clays) into glass or a glassy substance through heat fusion.

What happens during the early stages of such firings is ordinarily of little consequence to the finished result, except for the possibility of destructive stresses imposed on the pieces being fired if the heat is applied too rapidly. These may occur in either of two ways:

  1. Moisture in the material may turn to steam as its temperature increases beyond 100°C/212°F, the boiling point of water. If this occurs within the body of the material, and the expanding steam is not readily vented, it may cause the piece to crack or burst.

  2. As ceramic materials are heated up, they pass through two zones, called "inversions", wherein they expand very rapidly. One of these zones occurs at about 225°C/437°F and the other in the area of 550°C/1022°F. Pieces which are not uniform in thickness are likely to have temperature variations within their mass, since lighter areas will follow the kiln's temperature closely, while the thicker areas lag behind. The non-uniform temperatures within the piece cause different areas to expand at different rates and the resulting stresses produce cracks.

Ceramic kilns are designed to achieve temperatures as high as 1370°C/2500°F, and therefore have the greatest heating capacity in just these areas where too much heat, applied too rapidly, can cause problems. It is therefore necessary to throttle them during the early firing stages in order to prevent damage to the ware being fired. Practical kilns have always been equipped with simple switches of some sort, which enable the user to do this. Kiln instructions are usually quite simple, advising the user to start with these switches set at "Low", then in a hour or two move them to "Medium", and finally perhaps two or three hours after that, to "High".

This is a simple, "low-tech", low-cost solution to a simple problem. However, the trade-off is one of convenience and efficiency. Once a firing begins, the user must be on-hand for several hours to do the "switch schedule". That's inconvenient. Furthermore, because of the relatively long periods involved, it's easy to forget or become involved in some other matter which makes it difficult or impossible to get back to the kiln at the appointed time. The excess time spent at low temperature is then simply a waste of electricity and kiln time.

The AutoMatePC™ is the latest version of a control that has been successfully used to turn kilns up automatically for several years. Originally designed as a discrete electronic device, the "PC" version provides the same function in software. This yields the advantages of ...

  • added features
  • improved accuracy
  • enhanced reliability
  • improved ease of use
  • easily updated
  • expanded utilization of your small-office computer systems

The accuracy of the system is improved since the computer works in the digital domain, which is not subject to electronic component variations and tolerances. Removing delicate electronics from the heat of the kiln room enhances reliability; the computer need not be near the kiln. The system is based on the familiar Windows95/98® operating system so the user interface will be immediately familiar to anyone acquainted with these operating systems. Since the major functions are implemented is software, updates and improvements can easily be achieved by simply installing the latest version of the control. Finally, as a Windows® program, the AutoMatePC™ is fully capable of working in a "multitasking" environment … working in the background while the computer is being used for other things. It also provides an opportunity to make use of otherwise idle computer time.


AutoMatePC - Description

Description of the System

Electric kilns are simple heating chambers made of soft (synthetic) fire brick, with electric heating elements made of windings of high-temperature resistance wire. In this respect, kilns are, more or less, all the same. Larger kilns simply have more elements, and they're all connected in parallel across in the input power line. When the power is turned on, all of the heaters will be turned on at the same time, and unless throttled by some sort of switching arrangement, they will all begin to produce their maximum possible output.

The AutoMatePC™ throttles the heaters using a method known as "time proportioning". This is a simple method which involves repetitively switching the heaters on and off on a regular basis, then varying the "ON" time within each cycle. When the "ON" time during each switching cycle is short, the equivalent of a "Low" setting is produced just as if the electric power had been reduced by an equal percentage. Because kilns have a very long "thermal time constant", the On/Off heat pulses are dampened out and are actually never seen by the ware being fired.

The AutoMatePC™ system is compatible with "PC" type computers running under the Windows95® and Windows98® operating systems, with Internet Explorer® v4.0 or later (required for viewing the system's HTMLHelp online help.)

The AutoMatePC™ has four components:

  • the AutoMatePC™ software,
  • an output adapter for your computer's serial port,
  • an electrical power interface for your kiln, and
  • a modular cable which connects the above two items.

The output adapter isolates your computer from the kiln and its electrical system. It uses an optical link to transfer heating signals produced by the computer to the interface board at the kiln. There is no electrical connection between your computer's sensitive circuitry and the kiln's high-voltage system.

The interface board is ordinarily used to operate a power relay which, in turn, is used to connect your kiln to the power source whenever the computer calls for more heat. Such relays, also called Definite Purpose Contactors (DPC) are commonly available in the trade in any voltage and current rating. Smaller kilns sometimes employ silent-operating Solid State Relays (SSR). For larger kilns, Mercury Relays are usually the choice when silent operation is required.

Systems installed by kiln dealers and manufacturers often have the heating relay built right into the kiln. In this case, the interface board is also built in as an integral part of the kiln's electrical system.

A common 6-wire (RJ12) modular-type telephone cable connects the output adapter at the back of the computer to the interface board on the kiln. The length of this cable is unimportant, so your computer need not be physically near your kiln. A twenty-five foot (7.6m) cable is provided.

Compatability with Existing Products

The AutoMatePC can also be combined with certain other standard FireRight controls. These include:

  • KilnTroller II Soak/Shut-Off Temperature Controller
  • KilnTroller II Soak/Shut-Off Temperature Controller
  • FireRight jr IIc Kiln Heat Controller
  • AutoMate IIc Automatic Kiln Switch

These products provide the necessary power interface provisions. FireRight jr IIc or AutoMate IIc controls represent an economical choice where a manual backup provision is desired.


AutoMatePC - Hardware Installation

Hardware Installation

Plug the output adapter into the mating connector on the back of your computer. This 25-pin connector is sometimes labeled "COM2" or "Serial Port". In any case, the adapter will only fit the appropriate connector.

The interface board may be mounted on the kiln or installed as a component of an electrical power control box containing the large relay which will switch your kiln on and off. Inexpensive heating relays are available that will accommodate kilns wired for 208/240vac and drawing up to 50-amps. Check the nameplate on your kiln to determine it's voltage and current requirements. Ideally, this box should be mounted on the wall in your kiln room, just below the switch box or electric service box that is the source of your kiln's electrical power. Hooking up this box is then a simple matter of connecting power from the electrical service to one side of its large relay, and the kiln receptacle to the opposite side. If installing the interface board and heating relay as an integral part of the kiln, these components are best located near the bottom of the kiln's electrical box, where the operating temperature will remain reasonable.

50-Amp heating relays usually have two large screw-clamp connectors that will accommodate wires up to size 6 (use the same size wire as in the kiln's power cord or refer to "Wire Sizes for Kilns"), and at least one side of the relay will have smaller auxiliary terminals. The power source should be connected to this side of the contactor. Use smaller wires (18 -~ 24 gauge) to connect the auxiliary terminals to terminals "L1" and "L2" on the interface board. Connect your kiln's power cable to the other side.

Verify that the connections you've made are correct by referring to this representative diagram.

The interface board is also compatible with 110~120vac 50/60Hz electrical power. The connections are the same except for the placement of the jumpers on the interface board. Instead of connecting one jumper between terminals "x1" and "x2", connect two jumpers; one between "L1" and "x1" and the second between "x2" and "L2".

Having installed both the computer output adapter and the electrical power control box, connect the modular cable between these two units. The cable uses the same type connector on either end, so it makes no difference which end is connected to which component. The connectors are also keyed to assure that they are correctly plugged into a mating receptacle.


AutoMatePC - Configuring Your Computer

Configuring Your Computer

About Communications Ports

Standard "PC" and compatible computers have, by convention, two "serial ports". A serial port is an input/output connector on the back of the computer that is used to communicate with external devices. These communication ports pass data bi-directionally in serial (bit-by-bit) form. A chip inside the computer converts this "data stream" to the "parallel" form ordinarily passed around between the components on the motherboard and within the CPU itself. It also converts parallel data to serial bit streams for transmission to remote devices over a simple pair of wires.

The two serial ports on your computer will conventionally be designated COM1 and COM2. COM1 is ordinarily equipped with a small 9-pin connector. COM2 is usually equipped with a 25-pin connector. The standard output adapter fits the 25-pin connector.

Determining Which Port to Use

To determine which port to use and verify that it is properly set up, do this:

  1. The mouse frequently uses COM1. Follow your mouse cable to see if it is plugged into the 9-pin connector on the back of your computer. If not, you might be able to use this port for the AutoMatePC™, using the 9-to-25-pin adapter that was supplied with your computer. These adapters are also commonly available wherever computers are sold, or are available from FireRight.

  2. Although COM2 is usually available, if you have an external modem it will be probably be plugged into this port. Scanners also sometimes (rarely) use this port. You will not be able to use the COM2 port for the AutoMatePC™ and another device at the same time. To use COM2 for the AutoMatePC™, temporarily unplug whatever is connected to it and plug in the interface adapter.

  3. If the 25-pin connector appears to be available, Internal modems are sometimes configured as "COM2" and this secondary serial port is then either disabled in the computer's CMOS setup, or configured as "COM3" or "COM4". If you have an internal modem, look into this matter by doing this:

    1. Click on Start|Settings|Control Panel|System|Device Manager".
    2. Click on the [+] next to the "Modem" item, then on the name of your internal modem, and then on the "Properties" button.
    3. Click on the "Modem" tab to reveal the "Port" setting.
    4. Ideally, the port setting should be "Communications Port (COM3).
    5. Make a note of this setting.
  4. Check for the presence of your secondary serial port by expanding the "Ports [COM and LPT]" item in the "Device Manager" window. If you see ...
    • Communications Port (COM1)
    • Communications Port (COM2)
    • Communications Port (COM3)
    • Printer Port (LPT1)

    … your secondary serial port is present. It will be either COM2 or COM3, whichever port is not being used by your internal modem. If you see only two communications ports listed, and one is your modem, your secondary serial port has probably been disabled in your CMOS setup in order to permit COM2 to be used by an internal modem. To enable it, do this:

    1. Close all windows and running applications, then reboot your computer.

    2. One of the first screens in your boot-up process will tell you how to enter the CMOS setup program … often by simply pressing the DEL key, or some other key or key combination. Press that key or key combination to enter the setup program.

    3. CMOS setups vary, but you should look for some reference to "Serial Ports" or "Communications Ports". If you find "COM2" or "Secondary Serial Port" listed as "OFF" or "DISABLED", change the setting to …

      1. "ON",
      2. "ENABLED",
      3. 2F8h (to use this port as "COM2"), or
      4. 2E8h (to use this port as "COM3" if an internal modem is configured as "COM2")

    4. Then exit the CMOS setup by selecting "Save Changes and Exit", or the equivalent.

    5. When Windows restarts, it should automatically install the secondary serial port. Click on Start|Settings|Control Panel|System|Device Manager", the click on the [+] next to "Ports (COM and LPT). If you do not have an internal modem installed in your computer, the new port will have been installed as COM2, otherwise it should appear as COM3.

    6. If Windows failed to detect and automatically install your secondary serial port, you can do this manually:

      1. click on Start|Settings|Control Panel|Add New Hardware
      2. click on "Next" two times, allowing Windows to search for Plug-and-Play hardware.
      3. if Windows detects the COM port, click "Yes, I am finished installing devices" then click "Next", the "Finish"
      4. if Windows failed to automatically detect the port, at the "New Hardware Wizard" select "No, I want to select the hardware from a list", then click "Next"
      5. in the list provided, select "Ports (COM and LPT)", the click "Next"
      6. in the resulting selection box, click on "Communications Port", then click "Next"
      7. in the "New Hardware Wizard" accept the settings Windows proposes, click "Next", then "Finish".
      8. if Windows offers to restart your computer, permit it to do so

  5. Serial ports each require an "interrupt line" to your computer's CPU, and each port must have it's own private IRQ line. To verify that Windows has configured your ports properly, do this:

    1. click on Start|Settings|Control Panel|System|Device Manager

    2. click on the "Computer" icon at the very top of the Device Manager tree

    3. click on View Resources|Interrupt Request (IRQ)

    4. notice the "Settings" used for your COM ports, and verify that each one uses a different IRQ number. The standard settings are:

    5. if you have only two communications ports installed, the IRQ settings you see should comply with the above table.

    6. if you have three communications ports installed (one being an internal modem) some other IRQ number should be assigned to COM3, preferably IRQ5 or IRQ7

    7. if your secondary communications port has been assigned the same IRQ as your internal modem, look at the IRQ numbers listed under the "Setting" column to find an available number. The usual possibilities are IRQ5, IRQ7, IRQ10, IRQ11 or IRQ15:

    8. Make a note of the unused IRQ numbers.

    9. The availability of IRQs depends upon how much hardware is installed on your machine. If none are available, you will not be able to install the AutoMatePC™ on this machine without first removing some other hardware.

      1. To temporarily remove hardware, go to Start|Settings|Control Panel|System|Device Manager and select "Properties" for the hardware you wish to disable. On the "General" tab, place a check mark in the "Disable in this hardware profile" box, then click "OK". It is not necessary to remove the hardware profile from the Device Manager. When you wish to reinstall your device, return and uncheck this box, then disable the hardware profile for the device previously installed in its place.

  6. If you need to change the IRQ setting for your secondary serial port, do this:

    1. click on Start|Settings|Control Panel|System|Device Manager|System

    2. click on the [+] next to Ports (COM and LPT)

    3. click on the "Communications Port (COMx)" which represents your secondary serial port, click on "Properties", the click on the "Resources" tab

    4. The "Input/Output Range" should agree with the above table. To change the IRQ number, remove the check mark from the "Use automatic settings" box, then select a "Basic Configuration" with the correct "Input/Output Range" that permits you to change the IRQ setting:

    5. Highlight "Interrupt Request", then click on the "Change Setting …" button …

    6. Select a "Value" corresponding to one of the unused IRQ numbers noted in Step h. The "Conflict information" box should indicate that the number you have chosen does not conflict with the settings for any other device. If not, choose another number.

    7. Click on "OK" three times to dismiss the dialog boxes. If Windows offers to reboot your computer, permit it to do so..


AutoMatePC - Software Installation

Software Installation

The AutoMatePC™ software is provided as a self-installing file. To install the software:

  1. Insert the diskette in your floppy drive (drive A:\)
  2. Click on Start|Settings|Control Panel|Add/Remove Programs
  3. Click on "Install" then "Next", permitting Windows to find the a:\setup.exe file
  4. Click on "Finish" to complete the installation

Setup will install the necessary files in the folder of your choice, and a program group will be created in your Start Menu system at "Start|Programs|FireRight". An AutoMatePC™ shortcut will also be provided on your desktop.

Visual Basic Runtime Files

The AutoMatePC™ software is authored using Microsoft Visual Basic 5. To make the most efficient use of storage space on your computer, such programs share certain common files, which they expect to find in your Windows|System folder.

Since many other applications use these files, it's likely that they will have already been installed on your system. All the necessary runtime files are distributed on the installation diskettes. These will be installed only if more up to date than your existing versions. To shorten download times, a version of this software may be provided online which does not include these "runtime" files. If you receive error messages indicating that a necessary file is not available on your system when you attempt to run the program, simply download and install the "full installation" version of the software from the FireRight web site www.fireright.com.

Program Setup

When running the AutoMatePC™ program for the first time, click on the "Options" menu and choose the correct COM port, as determined above. The software will assist you in making the proper selection. This is the only setup requirement for the AutoMatePC™ software.

Uninstalling the Software

To remove the AutoMatePC™ software from your computer, use the Windows Control Panel "Add/Remove Programs" applet. This will properly remove the software and setup information from your computer. Files created after the original installation, such as log files, will not be removed. To remove these, delete the c:\program files\fireright folder, or the folder where you originally installed the software.

If you uninstall the software by simply deleting its folder, none of the shared runtime files will be removed, the shortcuts will remain, and setup information will remain in your system's registry.


AutoMatePC - Operating Instructions: Starting the System

Starting the AutoMatePC™ System

When you use the AutoMatePC™, the switches on your kiln, if any, become superfluous. You should set these switches on "High" or the full "On" position and leave them in that setting.

Click on the desktop short cut, or use Start|Programs|FireRight|AutoMatePC to start the program.

When the AutoMatePC™ window appears, only a few of its controls are enabled. Move the mouse pointer over the ON button and observe that within a few moments a "ToolTip" pops up which briefly explains the purpose of the control. Tool tips are available for most of the controls and indicators on the panel, but they will only be available when the item is enabled. Notice that controls and indicators that are not enabled are "grayed out".

Click on the ON button to turn the control system on ...

Turning the system on enables all of its features. The display window lights up, showing the status of several variables. The control starts up in the Manual mode, with the Heating Rate set at zero. Move the cursor over the toolbar buttons to see what each one is for. The toolbar functions are all duplicated by the menu system. The control system will always start up in the Manual mode.


AutoMatePC - Operating Instructions: Manual Operation

Operating the System Manually

You can control your kiln manually using this mode. You adjust the heating rate by specifying the heat you want, as a percent of the kiln's total heating capacity. One way to do this is to use the menu system. Click on Settings|Heating Rate ... to pop up the "Heating Rate" dialog box.

Enter the value, then click "OK" to dismiss the box. The value you entered will then appear on the display over "Heating Rate (%)" and the system will immediately turn the kiln on, operating the heating elements at the level you set.

The AutoMatePC™ uses a system called "time proportioning" to adjust the power applied to the heating elements. This works by regulating the "on" vs. "off" time during each one minute interval. If you set the "Heating Rate" at 50%, you will hear the kiln alternately turned on for 30-seconds, then remain idle for 30-seconds. A setting of 30% will result in an "on" time of 18-seconds and an "off" time of 42-seconds. The heating elements work by converting electrical energy to heat energy through a process of resistive power dissipation. The heat produced is a function of the element's electrical resistance (measured in "ohms") and the voltage connected to it, and can be calculated by Ohms's Law as "P = E/R" (Watts = Volts/Resistance.) Full heat is therefore provided from the instant power is applied to the heating element. Since kilns have a very long thermal time constant, these minute-by-minute injections of heat are dampened out such that the ware being fired "sees" a relatively linear heat rise (or fall when annealing.)

Another way to change this setting is to simply double-click the "Heating Rate (%)" display area. This will pop up the same dialog box ...

Clicking the "Set Heating Rate" toolbar button [image] is yet another way to show the setup box. Most of the control's functions and features can be accessed using either the menu system, a toolbar button, or by double-clicking their present value in the display window. Items that cannot be set by double-clicking their displayed value pop up a message indicating what the proper procedure is:

If you are firing a ceramic kiln, you will sometimes wish to use the manual mode to "smoke out" wear containing excessive moisture. This is ordinarily done by operating the kiln at low heat for several hours. If you are annealing glass, you will use the manual mode to bring the melt up to temperature and hold it there until ready to begin the cooling process.

Heat vs. Temperature

Even now in the "second millennium" the nature of heat ... what it is exactly ... is not well understood. Both "firing" (ceramics) and "annealing" (glass) are heat treating processes involving two components; heat and time. Heat treating instructions often refer to temperature since temperature is a measure of heat in a confined area, but it is helpful to understand that it is heat, rather than temperature, that does the work.

Electric kilns are customarily designed with heating elements calibrated to operate with a "skin temperature" of about 2450°F. Such kilns are usually capable of reaching a maximum temperature of about 2350°F. The relationship between the heat setting and the firing chamber temperature varies from one kiln to another, but is otherwise fairly reliable. As illustrated by the curve shown here, the relationship is fairly liner between the 10% and 85% heat settings.

The implication of this information is that if you are well acquainted with your particular kiln, it is possible to fire successfully even without using pyrometric cones to detect the heat level, or a pyrometer to display its temperature. Assuming a "Cone 10" kiln (one capable of achieving 2350°F) and with the intent of setting the kiln at about 350°F to "smoke out" any free moisture, you can see that 350°F (15% of 2350) falls on the Temperature scale at a point coincident with about 20% on the Heating Rate scale. Therefore set the Heating Rate at "20". Using the same approach, to operate the kiln at a glass "melt temperature" of 1000°F, the Heating Rate would be set to about "39".

Kiln firing is an art, rather than a science. An empirical approach is usually appropriate because a scientific approach is impossible. The AutoMatePC™ has logging capabilities that can prove useful in getting to know what works best with your particular kiln. Once you have discovered what produces the best results, you can exploit the precision of the control system to assure that good results are consistently achieved.


AutoMatePC - Operating Instructions: Automatic Operation

Automatic Operation

The main function of the AutoMatePC™ for ceramics and pottery is to automatically turn up the kiln to regulate the rate of heat increase. For the glass arts, the system may be used to regulate the cooling process for annealing purposes.

To set up the system for automatic operation, do this:

The following instructions use the toolbar buttons to pop up the dialog boxes used to input various settings. The alternatives are the menu system and clicking on the item of interest in the display window. You may use whichever method you prefer.

  1. Click on the "Ramp Time" button [image] to pop up the "Ramp Time" input box. Enter the time you wish to allow for the kiln to change the heating rate from its present level to "100%" (or to 0% if working with glass.) The time must be entered in a format that can be recognized as a time setting. For example, if you want the ramp operation to take 3-1/2 hours, enter "3:30". If the value you enter cannot be recognized as a valid time setting, the system will pop up a note saying so, with suggestions about how the parameter can be entered correctly.

  2. Click the "Turn-Up" button [image] or "Turn-Down" button [image] to select the desired operating mode ... heat up, or cool down.

  3. Click the "RUN" button [image] when ready to begin the automatic process.

The control will immediately begin changing the heating rate according to the schedule you have selected. If you are firing ceramics, the heating rate will be increased to "100%", and will then be held there until you provide other instructions or turn the system off. If operating in the "turn down" mode the heating rate will be reduced to zero.

Automatic Soak Limiting

The automatic turn-up operation increases the heat to 100% on, then holds that level indefinitely. The AutoMatePC™ includes a soak limiting function that can be set to shut the kiln off when it reaches 100%, or to permit it to soak for a preset time and then shut it off. To use this feature do this:

  1. Click [image] to set the "Ramp Time".
  2. Click on the "Limit Soak Time" button [image] to pop up the "Soak Time Limit" input box. Enter the time you wish to allow for the kiln to soak at the "100%" setting before shutting off. The time must be entered in a format that can be recognized as a time setting. Values between "00:00" (shuts off immediately upon reaching 100%) and "23:59" are accepted. If you set this function, then decide not to use it, you may either enter a blank setting, else click the "Cancel" button to disable it.

  3. Click [image] or [image] to select the mode.

  4. Click the "RUN" button [image] when ready to begin.

Automatic Start-Up

When you do not wish to begin an automatic firing immediately, you can set the AutoMatePC to start the process automatically at any later time. This function is especially helpful in localities or within organizations requiring firing to be done during "off peak load" hours. To use this feature do this:

  1. Click on the "Schedule Start Up" button [image] to pop up the "Schedule Start Up" input box. Enter the date and time you want the automatic process to begin. The date and time must be entered in a recognizable format. For example, you might enter something like "07/04/2002 12:00" if you want the process to begin at noon on the 4th of July. If the values you enter are not understood, the system will pop up a note saying so, with suggestions about how to enter them correctly.

  2. Click [image] to set the ramp time.

  3. Click [image] if you wish to set a soak limit time.

  4. Click [image] or [image] to set the desired mode.

  5. Click the "RUN" button [image]. Notice that the "Control Mode" display flashes a message alternately indicating the automatic mode you have selected, and "AutoStart". The AutoMatePC™ will remain in this configuration until the appointed start-up time, then begin the automatic process.


AutoMatePC - Accessory Features: Event Logging

Event Logging

The AutoMatePC™ can keep a log of each firing, recording information about the firing in a file saved on your hard drive. To choose this option, click on the "Options" menu and place a check mark next to "Log On/Off".

Another way to change this setting is to click the log on/off button on the toolbar. When logging is enabled, certain system events are recorded as they occur, and the status of the system is recorded at regular intervals. You can set the interval at 5, 10, 15, 30 or 60 minutes. Whenever you enable the logging feature, you will have an opportunity to select the desired interval. The interval is inconsequential, unless you might subsequently wish to print out the log files. Longer intervals make for smaller files.

The log file will be saved in the same folder where the AutoMatePC program resides, and will be named "automate.log".

The AutoMatePC™ "remembers" the status of this feature from one session to the next. If you used the logging feature last time, the system will start up with this feature enabled. At that time, and whenever you turn the logging feature on, you will be asked about the existing log file; whether you wish to save it or erase its old contents. Saved files are renamed "automate01.log", "automate02.log", and so on.

Adding Comments

You can add your own comments and notes to the log file. To do so, use either the menu to access Options|Logs|Add Comments or use the "Enter a comment" button on the toolbar. Enter anything you wish in the Log File Comment box, then click "OK".

Logs are plain text files, which may be viewed using Windows NotePad®, QuickView® or any text editor or word processing program.


AutoMatePC - Accessory Features: Details Display

Details Display

The Details Display is an optional display windows that includes ...

    • Count-down counters for the
      • Automatic Start-Up Timer
      • Ramp Timer
      • Soak Limit Timer

    • An electric meter showing
      • Total kiln operating time
      • Kilowatt consumed
      • Estimated firing cost

    • Output Control parameters
      • the proportioning system counters
      • the Heat Limit setting (adjustable)

To show this window place a check mark [image] on the Options|Details menu. To hide it, remove the check mark. The AutoMatePC™ "remembers" the status of this feature from one session to the next. If the Details Display was shown last time, the system will start up with this feature enabled.

Countdown Counters

The countdown Timers are passive displays showing the time remaining when the Automatic Startup, Ramp or Soak Limit features are in use. When these features are not in use, the counters display " - ".

The Autostart Timer shows the hours:minutes:seconds remaining until time-out, at which time automatic operation will begin. The counter has a range of 99:59:59. While the time remaining exceeds 100-hours, this counter will show the word "waiting".

The Ramp Timer shows the turn-up or turn-down time remaining in hours and minutes.

The Soak Timer shows the soak time remaining in hours and minutes.

Electric Meter

The AutoMatePC™ "Electric Meter" displays information about firing costs on a per-firing basis.

The Heat On Time counter shows the kiln's total operating time in hours:minutes:seconds. This counter runs whenever the kiln is "on", and assumes that the kiln's switches (if any) are set fully on.

The Total KWH window shows the total kilowatts used at any point during the firing. This value is computed based on the kiln's electrical ratings, which must be entered by double-clicking on this window:

This parameter is usually listed on kiln name plates. If the value given is in "Watts", divide the value by 1000 to convert the number to kilowatts (11,520 Watts = 11.52 Kilowatts.) Some name plates list the rated voltages and current, but not watts or kilowatts. In this case, multiply the rated voltage by the current rating and divide the result by 1000 ... (volts x current) / 1000.

The Estimated Firing Cost window shows the cost of the energy consumed. This value is calculated based on your kiln's electrical ratings, plus the cost of electricity delivered by your local utility. Enter your local rate (cost per KWH) double-click this window:

Your local cost per Kilowatt/Hour (KWH) can be determined by inspecting your last electric bill. These bills often include a basic service charge, a cost calculated from "KWH consumed" times a "cost/KWH" rate, fuel surcharges, taxes, and so on. "Cost/KWH" calculations are also sometime "tiered", such that the rate changes by steps of increasing usage. Other systems apply "off peak" discounts for useage during hours of light consumption. Evaluate the information shown to determine a rate that will result in a reasonably accurate calculation of firing costs.

Operation Details

The "Operation" window displays information about the system's proportional output system.

The Clock counter reflects the secons "tick" from your computer's real time clock. The Proportioning Cycle counter shows the operation of the time proportioning algorythm that regulates the heating process. The proportioning system uses a one-second cycle time, so this value runs from zero to 100% during each 60-second interval. While the value is less than the present Heating Rate setting, the output will be on.

The Heat Limit window shows the present setting for this parameter. You might wish to limit your kiln's heating capability as a safety measure while firing "low fire" ceramics and glaze, or when working with glass such that the maximum setting will bring the lehr up to melt temperature, but not go beyond that. If you want to enter a limit, double-clicking on this window:

If you change the setting while the system is operating beyond the limit you specified, the system will ask whether you want the current output level reduced to the limit you just entered. The Heat Limit setting is reset to "100%" when the system is turned on or reset, so this value must be specified for each firing.


AutoMatePC - Operating Instructions: Shutting the System Down

Shutting the System Down

To turn the system off, click the "OFF" button. You can do this at any time, regardless of the system's operating mode. A built in service assures that the shut down process will be orderly, regardless of when the button is pressed.

Although the shut-down process turns off the output from the computer's serial port and thereby turns off the kiln, it is good practice to remove power from the kiln when it is not actually in use.

The heating elements in electric kilns are bare wire, and are normally exposed. In operation, the elements are connected to the electrical service, and are therefore charged with voltage high enough to be lethal. ALWAYS REMOVE POWER FROM YOUR KILN PRIOR TO LOADING OR UNLOADING, OR REACHING INSIDE FOR ANY OTHER PURPOSE. Please also remove power from idle kilns when left unattended.

Housekeeping (INI) Function

When you shut the system down, the AutoMatePC™ saves the status and value of certain settings and variables so that you will not need to select and enter them every time you start the system. The items saved are:

    • COM Port selected
    • "Always on Top" mode
    • Logging mode
    • Details Window mode
    • Your kiln's rated heating capacity (kW)
    • Your electric rate (cost/kWH)

These values are recorded in a simple text file named "frxpc20.ini" which resides in the AutoMatePC™ system's home directory. If frxpc20.ini doesn't exist, the system will create it. If you receive an error message regarding the frxpc20.ini file, you may shut down the AutoMatePC™ system to assure that the file is closed, else locate and delete "frxpc20.ini" and restart the system normally.


AutoMatePC - Maintenance & Troubleshooting

Maintenance & Troubleshooting

Electrical Problems

Problems with this system are usually electrical in nature, rather than problems with the program itself.

The Serial Port Adapter should be securely attached to the back of your computer. Please use the thumb screws provided to assure that it is properly secured. Re-engage the modular connectors on either end of the control cable to insure that they are properly seated, then inspect the cable for any sign of mechanical damage or melted insulation.

Contactors switching high-current circuits can easily develop loose connections, which impair the system's efficiency and reliability. What's more, because these loose connections arc, they're subjected to heating and cooling action, which promotes expansion and contraction, which only serves to loosen the connection even more. If left without attention, the heat generated at the loose connection will become severe enough to damage the terminal area of the contactor and burn the wiring connected at that point. Good maintenance practice therefore includes regularly inspecting the kiln's electrical connections, especially those on the contactor in the power controller box, and assuring that all such connections are as tight as can be.

WARNING: Your kiln's electrical system operates at electrical potentials that are high enough to produce serious … even lethal … electrical shock. Prior to removing any protective covers, unplug your kiln from the electrical service if possible. Otherwise switch off its power source either at its switch-box or circuit breakers, and tape over these switches to assure against their accidental actuation while you are servicing your kiln.

If your kiln plugs in at a wall receptacle, such plug/receptacle provisions are another frequent cause of problems, and for the same reason. Once the plug or receptacle begins to degrade ... starting with a loose or corroding connection within the plug or as the receptacle contacts begin to loose their spring tension ... the situation only becomes progressively worse due to arcing and heat. If the plug or receptacle area feels inappropriately warm while the kiln is operating, a problem is probably indicated. In most cases, the best bet is to replace both components.

As electric heating elements age, their electrical resistance increases, which effectively reduces the heating capacity of the kiln. Beyond that point, the elements become very brittle and break easily. If your kiln isn't able to achieve heats high enough to produce the desired result, visually check the elements by setting the Heating Rate just high enough to cause them to glow and look for "dead" elements. If all of the elements are apparently working, your electrician can quickly check your kiln's current to see if it is up to nameplate specifications and, if not, help you find the reason why.

The kiln's heating capacity is also a function of the voltage applied to the elements. This may not be the same as the voltage at the service connection (fuse box or breaker box) because of voltage drops between the service connection and the kiln. Any defect in the wiring will produce voltage drops. Such defects can include corroded connectors, loose connections, faulty circuit breakers, undersized wiring, and so on. Since voltage drops also generate heat, these faults are sometimes easy to detect by looking for overheated wiring or connections. When checking the power applied to the kiln, your electrician should always measure the voltage at the heating element terminals with the kiln operating at full on.

Computer or Software Problems

If it appears that the software is having problems, follow these steps in attempting to clear the fault …

  1. Close and restart the program to see if this clears up the problem.

  2. Close all operating applications, reboot your computer, then restart the program

  3. Refer to the "Configuring Your Computer" article in the "Getting Started" section to verify that the serial port setup for the AutoMatePC™ is still correct, and to assure that other hardware is not interfering (usually as a result of IRQ conflicts.)

  4. If it appears that the computer is still having problems with the program, try reinstalling the software, including the runtime files, from your installation diskettes or the latest full download archive, which is available to registered users at www.fireright.com.


AutoMatePC - Product Support

Product Support

Warranty

FireRight Controls warrants its products for one-year from the date of purchase. We will repair or replace, without charge, units that fail because of defective material or workmanship. No liability is accepted for damages or loss resulting from the use of this product, regardless of cause.

Repair Service

Beyond the warranty period, factory service is available at reasonable flat rates, and can be handled through your dealer, or factory-direct. Current service information, including return instructions and pricing, is available at the FireRight web site.

Replacement Parts

Replacement parts can be ordered from your ceramics supply service or directly from the factory at the contact points shown below. Parts information and pricing is available on the FireRight web site.

Technical Support

Online Support: Service information in the form of "Tips and Tricks", FAQ and TechMemo's are always available free of charge on the FireRight web site. Minor software updates and maintenance releases are also provided to registered users of FireRight products without charge, and may be freely downloaded from the FireRight web site.

Direct Support: Personal technical assistance is available without charge and without limitations. Please feel free to contact our support staff whenever you wish. Technical support hours are normally 9:00 a.m. to 5:00 p.m., Monday through Friday. If you wish to contact us by FAX or e-mail, you can ordinarily expect a response to your inquiry within 24-hours during the work week.

Contact Information

FireRight / Warner Instruments
1320 Fulton Street PO Box 604
Grand Haven MI 49417-0604 USA
Phone: 616-842-7658
Toll Free: 877-842-7658
Fax: 616-842-1471
E-mail: support@fireright.com
Internet: www.fireright.com


AutoMatePC - Cone Charts

TEMPERATURE EQUIVALENTS FOR STANDARD PYROMETRIC CONES (°F) (As Determined at the National Bureau of Standards )
 | LARGE CONES |  | small |
CONE NUMBER | Heating Rate in °F/Hr |  |  | Color | Firing Stage | Customary Firing Application
 | 108°F/Hr | 270°F/Hr | 540°F/Hr |  |  |
 |  | 302 |  | "black | free water "boils" out
 |  | 437 |  | heat" | alpha to beta cristobalite inversion
 |  | 1022 |  |  | alpha to beta quartz inversion
 |  | 1067 |  |  |  |
022 | 1085 | 1112 | 1165 |  | dehydration |
021 | 1116 | 1137 | 1189 |  | 90% complete |
020 | 1157 | 1175 | 1231 |  |  |
019 | 1234 | 1261 | 1333 | dull |  | overglaze colors
018 | 1285 | 1323 | 1386 | red |  | enamels and gold
017 | 1341 | 1377 | 1443 |  |  | ceramic decals
016 | 1407 | 1458 | 1517 |  |  |
015 | 1454 | 1479 | 1549 |  |  | glass sagging
014 | 1533 | 1540 | 1596 |  |  | chrome & red glaze
013 | 1596 | 1566 | 1615 |  |  |
012 | 1591 | 1623 | 1650 | cherry |  |
011 | 1627 | 1641 | 1680 | red | most of | lustre glaze
010 | 1629 | 1641 | 1686 |  | organic matter |
09 | 1679 | 1693 | 1751 |  | now burnt |
08 | 1733 | 1751 | 1801 | cherry | away | low firing lead &
07 | 1783 | 1803 | 1846 | red to |  | fritted glazes
06 | 1816 | 1830 | 1873 | orange | teracottas | porous biscuit-low
05 | 1888 | 1915 | 1944 |  | mature | fire earthenware
04 | 1922 | 1940 | 2008 | orange |  |
03 | 1987 | 2014 | 2068 | changing |  |
02 | 2014 | 2048 | 2098 | to |  |
01 | 2043 | 2079 | 2152 | yellow/ | earthenware | industrial earthen
1 | 2077 | 2109 | 2154 | orange | matures | ware, bisque and
2 | 2088 | 2124 | 2154 |  |  | bone china glost
3 | 2106 | 2134 | 2185 | yellow/ |  |
4 | 2134 | 2167 | 2208 | orange | teracottas |
5 | 2151 | 2185 | 2230 | yellow to | melt, increasing |
6 | 2194 | 2232 | 2291 | lt. yellow | formation | semi-porcelain
7 | 2219 | 2264 | 2307 |  | of beta type | salt glaze
8 | 2257 | 2305 | 2372 | yellow | cristobalite | stoneware
9 | 2300 | 2336 | 2403 | with white |  | bone china bisque
10 | 2345 | 2381 | 2426 | tinge |  | & some porcelain
11 | 2361 | 2399 | 2437 | intense |  | porcelain
12 | 2383 | 2419 | 2471 | yellow- |  |
13 |  | 2455 |  | white |  |
14 |  | 2491 |  |  |  |
15 |  | 2608 |  |  |  |
© 1994/2001 FireRight Controls/Warner Instruments

TEMPERATURE EQUIVALENTS FOR STANDARD PYROMETRIC CONES (°C) (As Determined at the National Bureau of Standards)
 | LARGE CONES |  | small |  |  |
CONE NUMBER | Heating Rate in °C/Hr |  |  | Color | Firing Stage | Customary Firing Application
 | 60°C/Hr | 150°C/Hr | 300°C/Hr |  |  |
 |  | 150 |  | "black | free water "boils" out
 |  | 225 |  | heat" | alpha to beta cristobalite inversion
 |  | 550 |  |  | alpha to beta quartz inversion
 |  | 575 |  |  |  |
022 | 585 | 600 | 630 |  | dehydration |
021 | 602 | 614 | 643 |  | 90% complete |
020 | 625 | 635 | 666 |  |  |
019 | 668 | 683 | 723 | dull |  | overglaze colors
018 | 696 | 717 | 752 | red |  | enamels and gold
017 | 727 | 747 | 784 |  |  | ceramic decals
016 | 764 | 792 | 825 |  |  |
015 | 790 | 804 | 843 |  |  | glass sagging
014 | 834 | 838 | 870 |  |  | chrome & red glaze
013 | 869 | 852 | 880 |  |  |
012 | 866 | 884 | 900 | cherry |  |
011 | 886 | 894 | 915 | red | most of | lustre glaze
010 | 887 | 894 | 919 |  | organic matter |
09 | 915 | 923 | 955 |  | now burnt |
08 | 945 | 955 | 983 | cherry | away | low firing lead &
07 | 973 | 984 | 1008 | red to |  | fritted glazes
06 | 991 | 999 | 1023 | orange | teracottas | porous biscuit-low
05 | 1031 | 1046 | 1062 |  | mature | fire earthenware
04 | 1050 | 1060 | 1098 | orange |  |
03 | 1086 | 1101 | 1131 | changing |  |
02 | 1101 | 1120 | 1148 | to |  |
01 | 1117 | 1137 | 1178 | yellow/ | earthenware | industrial earthen
1 | 1136 | 1154 | 1179 | orange | matures | ware, bisque and
2 | 1142 | 1162 | 1179 |  |  | bone china glost
3 | 1152 | 1168 | 1196 | yellow/ |  |
4 | 1168 | 1186 | 1209 | orange | teracottas |
5 | 1177 | 1196 | 1221 | yellow to | melt, increasing |
6 | 1201 | 1222 | 1255 | lt yellow | formation | semi-porcelain
7 | 1215 | 1240 | 1264 |  | of beta type | salt glaze
8 | 1236 | 1263 | 1300 | yellow | cristobalite | stoneware
9 | 1260 | 1280 | 1317 | with white |  | bone china bisque
10 | 1285 | 1305 | 1330 | tinge |  | & some porcelain
11 | 1294 | 1315 | 1336 | intense |  | porcelain
12 | 1306 | 1326 | 1355 | yellow- |  |
13 |  | 1346 |  | white |  |
14 |  | 1366 |  |  |  |
15 |  | 1431 |  |  |  |
© 1994/2001 FireRight Controls/Warner Instruments

©Copyright Warner Instruments 1996 ~ 2001


AutoMatePC - Wire Sizes for Kilns

PORTABLE CORDAGE RECOMMENDATIONS (Based on the National Electrical Code )
Single Phase |  |  | Three Phase
CABLE | Maximum Amps | Maximum Feet | CABLE | Maximum Amps | Maximum Feet
14/3 | 18 | 95 | 14/4 | 15 | 131
12/3 | 25 | 109 | 12/4 | 20 | 157
10/3 | 30 | 144 | 10/4 | 25 | 200
8/3 | 40 | 171 | 8/4 | 35 | 226
6/3 | 55 | 195 | 6/4 | 45 | 275
4/3 | 70 | 242 | 4/4 | 60 | 326
2/3 | 95 | 287 | 2/4 | 80 | 393
© 1994/1996 FireRight Controls/Warner Instruments
Type SO portable cordage 60°C 600V with green conductor used for grounding only
Length specified for 5% maximum volt loss from minimum 208v line

©Copyright Warner Instruments 1996 ~ 2001


AutoMatePC - Table of Contents

Table of Contents
  • AutoMatePC
  • Table of Contents
  • Getting Started
    • Purpose
    • Description
      • Compatibility with Existing Systems
    • Installing the Hardware
    • Configuring Your Computer
      • About Communications Ports
      • Determining Which Port to Use
    • Software Installation
      • Required Runtime Files
      • Program Setup
      • Uninstalling
  • Operating Instructions
    • Starting the System
    • Operating Manually
      • Heat vs. Temperature
    • Automatic Operation
      • Soak Limiting
      • Automatic Start-Up
    • Accessory Features
      • Logging
        • Adding Comments
      • Details Display
        • Countdown Counters
        • Using the Electric Meter
        • Operation Details
          • Setting the Heat Limit
    • Shutting Down the System
      • Housekeeping (INI) Function
  • Maintenance & Troubleshooting
    • Electrical Problems
    • Computer or Software Problems
  • Product Support
    • Warranty
    • Repair Services
    • Replacement Parts
    • Technical Support
    • Contact Information
  • References
    • Wire Sizes for Kilns
    • Cone Chart